Rapid7 Vulnerability & Exploit Database

MediaWiki: Improper Access Control (CVE-2016-6331)

Back to Search

MediaWiki: Improper Access Control (CVE-2016-6331)

Severity
5
CVSS
(AV:N/AC:L/Au:N/C:P/I:N/A:N)
Published
04/20/2017
Created
07/25/2018
Added
08/24/2017
Modified
10/23/2019

Description

ApiParse in MediaWiki before 1.23.15, 1.26.x before 1.26.4, and 1.27.x before 1.27.1 allows remote attackers to bypass intended per-title read restrictions via a parse action to api.php.

Solution(s)

  • mediawiki-upgrade-latest

References

  • mediawiki-upgrade-latest

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;